/*
 * coap_freertos_malloc.c
 *
 *  Created on: 15 Jul 2020
 *      Author: Nick Pelling
 */

#include "mem.h"		// CoAP memory interface
#include "FreeRTOS.h"	// FreeRTOS main header

void *
coap_malloc_type(coap_memory_tag_t type, size_t size) {
  (void)type;
  return pvPortMalloc(size);	// FreeRTOS malloc() equivalent
}

void
coap_free_type(coap_memory_tag_t type, void *p) {
  (void)type;
  vPortFree(p);				// FreeRTOS free() equivalent
}




